API Marketplace
  1. Shopee
  • How to use
    • Overview
  • Webparsers API Marketplace
    • Walmart
      • Get Walmart Product Details
      • Search Walmart Products
      • Get Walmart Product Sellers
      • Get Walmart Order (Put cookie)
      • Walmat Delivery tracking
    • Amazon
      • Get product Amazon
      • Search Amazon
      • Get offers Amazon
    • Google
      • Google Trends
    • Ebay
      • Get product Ebay
      • Search Ebay
    • Kaufland
      • Get product Kaufland
      • Get product pricing Kaufland
      • Search Kaufland
      • Get offers Kaufland
    • Naver
      • Get Product information from Naver
      • Get Benefit from Naver
      • Get Benefit Npay from Naver
      • Get Product-Benefits from Naver
      • Get Product-Benefits Npay from Naver
      • Search Naver products
      • MSearch Naver products
    • Sahibinden
      • Get Sahibinden Product Details
    • Shopee
      • Shopee Create Task
        POST
      • Shopee Get Task Status
        GET
      • Shopee Get Task Result
        GET
      • Get Shopee get_pc
        GET
      • Get Shopee Product Details
        GET
    • Shein
      • Get Shein Product Details
    • TikTok
      • Get TikTok Product Details
      • Search TikTok products
      • Get TikTok Seller details
    • Universal Scraping
      • Universal Web Scraping HTML API
      • Universal Web Scraping Structured API
    • Allegro
      • Get product Allegro
    • Champssports
      • Get Product Champssports
      • Search Champssports
    • Dickssportinggoods
      • Get Product Dickssportinggoods
      • Search Dickssportinggoods
    • Footlocker
      • Get Product Footlocker
      • Search Footlocker
    • Etsy
      • Get product Etsy
      • Search product Etsy
    • Geizhals
      • Get product Geizhals
    • Manomano
      • Get product Manomano
    • Otto
      • Get product Otto
    • Tabletki
      • Get Tabletki Products in specific pharmacy
      • Get Tabletki Product
      • Get Tabletki Pharmacy data
      • Search Tabletki Products
      • Get Tabletki Product page
      • Get Tabletki Product prices
    • RedBubble
      • Get product Redbubble
      • Search product Redbubble
    • Rozetka
      • Get product Rozetka
      • Search product Rozetka
    • Idealo
      • Get product Idealo
    • Utils
      • EAN to Asin
      • Asin to EAN
    • Stats
      • Get billed usage
      • Get balance
      • Get API usage statistics
    • Schemas
      • HTTPValidationError
  1. Shopee

Shopee Get Task Status

Developing
GET
/shopee/get_task_status
Shopee get task status

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-marketplace.webparsers.com/shopee/get_task_status?task_id' \
--header 'x-api-key: <api-key>'
Response Response Example
{
    "state": "FINISHED",
    "meta": {
        "input": {
            "shop_id": "112813397",
            "item_id": "5705390141"
        },
        "current_state": "Task completed successfully",
        "status_code": 200,
        "latency_ms": 233.92,
        "error": null
    }
}
Modified at 2026-01-20 09:56:45
Previous
Shopee Create Task
Next
Shopee Get Task Result
Built with